Update OAuth2 client

Updates client name, redirect URIs, or scopes. Include regenerateSecret: true in the request body to rotate the clientSecret.

Path Parameters
  • clientId
    Type: integer
    required

    ID of OAuth2 client

Body
required
application/json
  • clientName
    Type: string

    Client application name

  • clientSecret
    Type: string

    New client secret

  • redirectUris
    Type: array string[]

    Allowed redirect URIs

  • scope
    Type: string

    Space-delimited scopes per RFC 7591

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • 404

    OAuth2 client not found

  • application/json
Request Example for put/auth/oauth/client/{clientId}
curl https://test.boost.space/api/auth/oauth/client/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "clientName": "",
  "clientSecret": "",
  "redirectUris": [
    ""
  ],
  "scope": ""
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "clientId": "string",
  "clientName": "Sample clientName",
  "redirectUris": [
    "https://acme.boost.space"
  ],
  "scopes": [
    "string"
  ],
  "tokenId": 42
}